Bug 799291 - proxied OIDs unspecified in proxy statement in snmpd.conf
Summary: proxied OIDs unspecified in proxy statement in snmpd.conf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: net-snmp
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact: Dalibor Pospíšil
URL:
Whiteboard:
Depends On: 1658134 663863
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-02 12:20 UTC by Jan Safranek
Modified: 2018-12-11 10:37 UTC (History)
6 users (show)

Fixed In Version: net-snmp-5.5-39.el6
Doc Type: Bug Fix
Doc Text:
When an object identifier (OID) was out of the subtree registered by the proxy statement in the /etc/snmp/snmpd.conf configuration file, the previous version of the snmpd daemon failed to use a correct OID of proxied GETNEXT requests. With this update, snmpd now adjusts the OIDs of proxied GETNEXT requests correctly and sends correct requests to the remote agent as expected.
Clone Of: 663863
: 1087801 (view as bug list)
Environment:
Last Closed: 2012-06-20 07:22:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0876 normal SHIPPED_LIVE Moderate: net-snmp security and bug fix update 2012-06-19 19:28:47 UTC

Description Jan Safranek 2012-03-02 12:20:13 UTC
+++ This bug was initially created as a clone of Bug #663863 +++

Description of problem:
snmpd proxies OIDs unspecified in proxy statement in snmpd.conf.

For example, assuming that the following proxy statement is in snmpd.conf.

proxy -v 1 -c public remotehost .1.3.6.1.4.1.211.1.1.1.3.3.2.2.1 .1.3.6.1.4.1.231.2.49.1.3.4.0

1) snmpwalk -v 1 -c public localhost .1.3.6.1.4.1.211.1.1.1.3.3.2.2.1.0
It sends a snmp request with .1.3.6.1.4.1.231.2.49.1.3.4.0.0 to remotehost.
This is ok.

2) snmpwalk -v 1 -c public localhost .1.3.6.1.4.1.211.1.1.1.3.3.2.2
It sends a snmp request with .1.3.6.1.4.1.231.2.49.1.3.4 to remotehost.
This is something wrong.

3) snmpwalk -v 1 -c public localhost .1.3.6.1.4.1.211
It sends a snmp request with .1.3.6.1.4 to remotehost.
This is wrong, too.

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux 5.5
net-snmp-5.3.2.2-9.el5_5.1

How reproducible:
Always

Steps to Reproduce:
1. Configure snmpd in localhost and remotehost
2. Add the following proxy statement in snmpd.conf
proxy -v 1 -c public remotehost .1.3.6.1.4.1.211.1.1.1.3.3.2.2.1 .1.3.6.1.4.1.231.2.49.1.3.4.0
3. Run "snmpwalk -v 1 -c public localhost .1.3.6.1.4.1.211" on localhost
  
Actual results:
snmpd proxies the request to remotehost

Expected results:
snmpd doesn't proxy the request to remotehost

Comment 5 Jan Safranek 2012-04-11 06:42:44 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the snmpd daemon did wrongly evaluate 'proxy' configuration option with GETNEXT requests and some GETNEXT requests were not proxied to remote SNMP agents when they should be. In this update, proxy code is fixed and GETNEXT requests are sent to remote SNMP agents as expected.

Comment 6 Jan Safranek 2012-04-11 06:47:47 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Previously, the snmpd daemon did wrongly evaluate 'proxy' configuration option with GETNEXT requests and some GETNEXT requests were not proxied to remote SNMP agents when they should be. In this update, proxy code is fixed and GETNEXT requests are sent to remote SNMP agents as expected.+When an object identifier (OID) was out of the subtree registered by the proxy statement in the /etc/snmp/snmpd.conf configuration file, the previous version of the snmpd daemon failed to use a correct OID of proxied GETNEXT requests. With this update, snmpd now adjusts the OIDs of proxied GETNEXT requests correctly and sends correct requests to the remote agent as expected.

Comment 8 errata-xmlrpc 2012-06-20 07:22:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0876.html


Note You need to log in before you can comment on or make changes to this bug.